﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.InteropServices;

namespace BeeDevelopment.BbcBasicEditor {
	class HtmlHelpViewer {

		public enum Command {
			HH_DISPLAY_TOPIC = 0x0000,
			HH_HELP_FINDER = 0x0000,  // WinHelp equivalent
			HH_DISPLAY_TOC = 0x0001,
			HH_DISPLAY_INDEX = 0x0002,
			HH_DISPLAY_SEARCH = 0x0003,
			HH_SET_WIN_TYPE = 0x0004,
			HH_GET_WIN_TYPE = 0x0005,
			HH_GET_WIN_HANDLE = 0x0006,
			HH_ENUM_INFO_TYPE = 0x0007,  // Get Info type name, call repeatedly to enumerate, -1 at end
			HH_SET_INFO_TYPE = 0x0008,  // Add Info type to filter.
			HH_SYNC = 0x0009,
			HH_RESERVED1 = 0x000A,
			HH_RESERVED2 = 0x000B,
			HH_RESERVED3 = 0x000C,
			HH_KEYWORD_LOOKUP = 0x000D,
			HH_DISPLAY_TEXT_POPUP = 0x000E,  // display string resource id or text in a popup window
			HH_HELP_CONTEXT = 0x000F,  // display mapped numeric value in dwData
			HH_TP_HELP_CONTEXTMENU = 0x0010,  // text popup help, same as WinHelp HELP_CONTEXTMENU
			HH_TP_HELP_WM_HELP = 0x0011,  // text popup help, same as WinHelp HELP_WM_HELP
			HH_CLOSE_ALL = 0x0012,  // close all windows opened directly or indirectly by the caller
			HH_ALINK_LOOKUP = 0x0013,  // ALink version of HH_KEYWORD_LOOKUP
			HH_GET_LAST_ERROR = 0x0014,  // not currently implemented // See HHERROR.h
			HH_ENUM_CATEGORY = 0x0015,	// Get category name, call repeatedly to enumerate, -1 at end
			HH_ENUM_CATEGORY_IT = 0x0016,  // Get category info type members, call repeatedly to enumerate, -1 at end
			HH_RESET_IT_FILTER = 0x0017,  // Clear the info type filter of all info types.
			HH_SET_INCLUSIVE_FILTER = 0x0018,  // set inclusive filtering method for untyped topics to be included in display
			HH_SET_EXCLUSIVE_FILTER = 0x0019,  // set exclusive filtering method for untyped topics to be excluded from display
			HH_INITIALIZE = 0x001C,  // Initializes the help system.
			HH_UNINITIALIZE = 0x001D,  // Uninitializes the help system.
			HH_PRETRANSLATEMESSAGE = 0x00fd,  // Pumps messages. (NULL, NULL, MSG*). 
			HH_SET_GLOBAL_PROPERTY = 0x00fc,  // Set a global property. (NULL, NULL, HH_GPROP)
		}

		[DllImport("HHCtrl.ocx")]
		public static extern IntPtr HtmlHelp(IntPtr hwndCaller, string pszFile, Command uCommand, object dwData);

	}
}
